# $Revision: 1.12 $, $Date: 2005/10/21 09:29:15 $
Summary:	LZF compression library
Summary(pl):	Biblioteka kompresji LZF
Name:		liblzf
Version:	1.51
Release:	1
License:	BSD-like (or GPLv2 for core - see LICENSE)
Group:		Libraries
Vendor:		Marc Lehmann <pcg@goof.com>
Source0:	http://www.goof.com/pcg/marc/data/%{name}-%{version}.tar.gz
# Source0-md5:	e39f3f8ecbdf77896c1819e6559439e3
Patch0:		%{name}-shared.patch
URL:		http://www.goof.com/pcg/marc/liblzf.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZF is an extremely fast (not that much slower than a pure memcpy)
compression algorithm. It is ideal for applications where you want to
save *some* space but not at the cost of speed. It is ideal for
repetitive data as well. The library is self-contained and very small
(no large library to be pulled in). It is also free, so there should
be no problems incoporating this library into commercial programs. It
is believed that it is free from any patents.

%description -l pl
LZF jest ekstremalnie szybkim (nie tak duo wolniejszym od memcpy)
algorytmem kompresji. Jest idealny dla programw, ktre chc
zaoszczdzi *troch* miejsca, ale nie kosztem szybkoci. Jest idealny
dla powtarzajcych si danych. Biblioteka jest maa i nie wymaga
adnej dodatkowej duej biblioteki. Jest wolnodostpna, wic nie
powinno by problemw z wykorzystaniem go w komercyjnych programach.
Wedug aktualnego stanu wiedzy algorytm jest wolny od patentw.

%package devel
Summary:	Header files for liblzf
Summary(pl):	Pliki nagwkowe liblzf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libzlf.

%description devel -l pl
Pliki nagwkowe liblzf.

%package static
Summary:	Static liblzf library
Summary(pl):	Statyczna biblioteka liblzf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of liblzf library.

%description static -l pl
Statyczna wersja biblioteki liblzf.

%prep
%setup -q
%patch0 -p1

%build
mv -f config.h.in acconfig.h
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblzf.spec,v $
Revision 1.12  2005/10/21 09:29:15  qboosh
- updated to 1.51

Revision 1.11  2005/03/29 17:02:19  qboosh
- updated to 1.5, updated shared patch

Revision 1.10  2004/12/26 12:51:06  darekr
- updated to 1.4

Revision 1.9  2004/04/10 19:11:03  qboosh
- updated to 1.3, strict internal deps

Revision 1.8  2004/01/27 20:55:06  qboosh
- updated to 1.2 liblzf.spec, updated shared patch and URL

Revision 1.7  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/01/07 23:09:19  qboosh
- 1.0

Revision 1.4  2002/11/25 14:16:55  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.2  2002/07/27 18:32:13  kloczek
- release 2: typo in %postun.

Revision 1.1  2002/07/27 11:34:09  qboosh
- new; added patch with automake support to generate shared library
